> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/additional-resources-reference-articles/faq/qa_change_index_name.md).

# Change elastiflow-\* Index Name?

### QUESTION

When using the Elasticsearch or OpenSearch outputs, can the names of the indices be changed?

### ANSWER

No, changing the names of ElastiFlow-related indices is not supported. The various components of the ElastiFlow solutions are designed to work together in an integrated manner. Changing the index names would potentially break dashboards, ILM/ISM policies, ML jobs and alerts. Although an [ingest pipeline](https://www.elastic.co/guide/en/elasticsearch/reference/current/ingest.html) can be used to change the index name as records are ingested, such an environment is not supported by ElastiFlow.

Often the reason for changing index names is to achieve multi-tenancy, where separate indices are created for each tenant, or simply to have separate indices for different environments, locations or other organizational units. To facilitate this use-case an option is provided to add a suffix to the index name. This can be achieved using the `EF_OUTPUT_ELASTICSEARCH_INDEX_SUFFIX` or `EF_OUTPUT_OPENSEARCH_INDEX_SUFFIX` for Elasticsearch or OpenSearch respectively.

Consider the index name `elastiflow-flow-codex-2.2-2023.01.01`. By setting a suffix value of `staging`, the resulting index name would be `elastiflow-flow-codex-2.2-staging-2023.01.01`. Access to the `staging` indices can then be controlled by setting permissions for the `*-staging-*` index naming pattern.

### REFERENCE

* [EF\_OUTPUT\_ELASTICSEARCH\_INDEX\_SUFFIX](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_elasticsearch/README.md#ef_output_elasticsearch_index_suffix)
* [EF\_OUTPUT\_OPENSEARCH\_INDEX\_SUFFIX](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_opensearch/README.md#ef_output_opensearch_index_suffix)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/additional-resources-reference-articles/faq/qa_change_index_name.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
